# Method: sellers.orders.lines.book

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines/book#examples)

Books an existing line.

- Returns the updated line if successful.
- Returns error code `NOT_FOUND` if the line does not exist.
- Returns error code `FAILED_PRECONDITION` if state is not `STATE_PENDING_BOOKING`.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1/{name=sellers/*/orders/*/lines/*}:book`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The field will contain name of the line to be booked, for example: "selles/789/orders/123/lines/321" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.orders.lines#Line`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).